Status: New Start date:  
Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Currently Redmine can load a single default data, but we would like to be able to select from multiple default data.

The current default data is intended for software management, but is difficult to use as is for other purposes. The system

administrator needs to re-configure the tracker, status, workflow, etc., which is a hurdle for Redmine beginners.

For example, if, in addition to the current default data for software management, users could choose to load default data intended for

simple task management, they would be able to quickly start using Redmine for a wider range of applications without having to

perform complicated settings. It would also be possible to provide third-party default data specific to a particular use.

We request support for loading multiple default themes to simplify the initial configuration of Redmine and also to facilitate its use for

a variety of purposes.

History

#1 - 2023-03-31 09:55 - Go MAEDA

- Category set to Administration

#2 - 2023-04-25 04:58 - hibiki morioka

- File en_multiple_default_data.png added

- File en_multiple_default_data_openselectbox.png added

- File ja_multiple_default_data.png added

I have created this design, what do you think?

Changed the name of the current default data to "Software Development",

Production Management, Sales Management, and Task Management are added as samples.

The assumption is that you can choose the settings that suit your environment from among these data.

English

 

2024-03-20 1/5



en_multiple_default_data.png 

English / When the select box is opened
en_multiple_default_data_openselectbox.png 

Japanese
ja_multiple_default_data.png 

#3 - 2023-04-25 06:34 - Seiji Shozuki

I would like to propose another idea.

In my opinion, if I am user, I would like to choose from some pattern rule setting(about role, status, flow...etc).

Example, some user make rule about A project.

If our product same about that project, I would like to use that rule setting of that project.

But morioka's proposal is only redmine default setting.

So I want below function.

Upload about rule setting

Choose rule setting

Setting about rule

2024-03-20 4/5



How about?

#4 - 2023-06-02 08:50 - Mitsuyoshi Kawabata

+10

#5 - 2023-06-02 11:26 - Mitsuyoshi Kawabata

- File default_data_simple_en.yml added

- File default_data_simple_ja.yml added

Attach yaml data as default data for simple task management. For simple task management, we will also minimize the standard fields on the issue.

(The fields for "category," "target version," "estimated hours," and "progress rate" will be hidden.) For this reason, after loading this yaml data, I will

upload code to turn off the use of the standard fields in the issue.

#6 - 2023-06-16 10:15 - Stoyan Zhekov

I think GUI screens, shown above, are out of the scope of this task. The current way of Redmine to load default data is a rake task. In addition, this

task will not re-populate the database, if there is already data inside (prevents running the data loading twice). So loading new data from the GUI will

be pretty difficult, if not impossible to implement - reaching this stage of install (GUI) mean the database is already populated.

What I think should be done is adding an additional parameter to the rake task (similar to current rake redmine:plugins tasks). For example

(parameter name can have different name):

bundle exec rake redmine:load_default_data REDMINE_LANG=ja REDMINE_PACK=/path/to/pack.yml

 pack.yml config file should describe the required data - Tracker, Query etc. File format TBD.

The rake task, mentioned above ( lib/tasks/load_default_data.rake ) in turn is using Redmine::DefaultData::Loader.load(lang=nil, options={}) method ( 

lib/redmine/default_data/loader.rb ) , which already accepts additional options (only workflow in the moment), so processing additional options for

different install packs should be not so difficult to implement.

#7 - 2023-10-06 13:19 - Anonymous

- File logo.jpg added

#8 - 2023-10-07 03:51 - Go MAEDA

- File deleted (logo.jpg)

Files

en_multiple_default_data.png 81.1 KB 2023-04-25 hibiki morioka

en_multiple_default_data_openselectbox.png 87.9 KB 2023-04-25 hibiki morioka

ja_multiple_default_data.png 75.3 KB 2023-04-25 hibiki morioka

default_data_simple_en.yml 297 Bytes 2023-06-02 Mitsuyoshi Kawabata

default_data_simple_ja.yml 319 Bytes 2023-06-02 Mitsuyoshi Kawabata
